WPSColumnFormat Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WPSColumnFormat Struct Reference

`#include <WPSTable.h>`

## Public Member Functions
| WPSColumnFormat (float width=-1)
| constructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
int | compare (WPSColumnFormat const &col) const
| a comparison function
bool | operator== (WPSColumnFormat const &col) const
| operator==
bool | operator!= (WPSColumnFormat const &col) const
| operator!=
bool | operator< (WPSColumnFormat const &col) const
| operator<

## Public Attributes
float | m_width
| the column width, if known
bool | m_isPercentWidth
| a flag to know if the width is in percent (or in point)
bool | m_useOptimalWidth
| a flag to know if we need to see use-optimal column width
bool | m_isHeader
| a flag to know if the column is a header column
int | m_numRepeat
| the number times a column is repeated

## Friends
std::ostream & | operator<< (std::ostream &o, WPSColumnFormat const &col)
| operator<<

## Constructor & Destructor Documentation

## ◆ WPSColumnFormat()

WPSColumnFormat::WPSColumnFormat | ( | float | width = -1 | ) |
| inlineexplicit

constructor

Referenced by compare(), operator!=(), operator<(), operator<<, and operator==().

## Member Function Documentation

## ◆ addTo()

void WPSColumnFormat::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

## ◆ compare()

int WPSColumnFormat::compare | ( | WPSColumnFormat const & | col | ) | const
| inline

a comparison function

Note
  this comparison function does ignore m_numRepeat

Referenced by operator!=(), operator<(), and operator==().

## ◆ operator!=()

bool WPSColumnFormat::operator!= | ( | WPSColumnFormat const & | col | ) | const
| inline

operator!=

## ◆ operator<()

bool WPSColumnFormat::operator< | ( | WPSColumnFormat const & | col | ) | const
| inline

operator<

## ◆ operator==()

bool WPSColumnFormat::operator== | ( | WPSColumnFormat const & | col | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | WPSColumnFormat const & | col )
| friend

operator<<

## Member Data Documentation

## ◆ m_isHeader

bool WPSColumnFormat::m_isHeader

a flag to know if the column is a header column

Referenced by addTo(), compare(), operator<<, and WPSColumnFormat().

## ◆ m_isPercentWidth

bool WPSColumnFormat::m_isPercentWidth

a flag to know if the width is in percent (or in point)

Referenced by addTo(), compare(), operator<<, and WPSColumnFormat().

## ◆ m_numRepeat

int WPSColumnFormat::m_numRepeat

the number times a column is repeated

Referenced by addTo(), LotusSpreadsheetInternal::Spreadsheet::getWidths(), Quattro9SpreadsheetInternal::Spreadsheet::getWidths(), QuattroDosSpreadsheetInternal::Spreadsheet::getWidths(), QuattroSpreadsheetInternal::Spreadsheet::getWidths(), WKS4SpreadsheetInternal::Spreadsheet::getWidths(), operator<<, LotusParser::parse(), WKS4Parser::parse(), and WPSColumnFormat().

## ◆ m_useOptimalWidth

bool WPSColumnFormat::m_useOptimalWidth

a flag to know if we need to see use-optimal column width

Referenced by addTo(), compare(), Quattro9SpreadsheetInternal::Spreadsheet::getWidths(), QuattroDosSpreadsheetInternal::Spreadsheet::getWidths(), QuattroSpreadsheetInternal::Spreadsheet::getWidths(), WKS4SpreadsheetInternal::Spreadsheet::getWidths(), operator<<, LotusSpreadsheetInternal::Spreadsheet::setColumnWidth(), and WPSColumnFormat().

## ◆ m_width

float WPSColumnFormat::m_width

the column width, if known

Referenced by addTo(), compare(), operator<<, and WPSColumnFormat().

The documentation for this struct was generated from the following files:

- WPSTable.h
- WPSTable.cpp